<?php

class dayCalendar{

	private $year, $month, $day , $events = array(),
			$dayNames = array('Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'),
			$dayLength = 3,
			$name;
			
	/**
	 * __construct
	 */
    	public function __construct($year, $month = 1, $day = 1, $extraParams = array()) {
		$this->year = $year;
		$this->month = $month;
		$this->day = $day;
    	
	    	/* extra */
		foreach($extraParams as $name => $value)
			$this->$name = $value;
	}

	/**
	 * loadEvents
	 */
	private function loadEvents(){
		
	}

	/**
	 * display
	 */
	public function display($from = 8, $to = 20, $loadEventsOnly = false, $preDay = '', $afterDay = ''){
		$ret = '';
       	$ret .= '<ul>'. str_pad($this->day,2,"0",STR_PAD_LEFT). '/'. str_pad($this->month,2,"0",STR_PAD_LEFT). '/'. $this->year;

		if($loadEventsOnly === false)       	
       		for($i = $from; $i <= $to; $i++){
       			$ret .= '<li>'.$preDay.$i.':00';
       			if(array_key_exists($i, $this->events)){
       				$event = $this->events[$i];
       				$ret .= $event->display();
       			}
       			$ret .= $afterDay.'</li>';
       		}
       	else
       		if(count($this->events) == 0)
       			$ret .= '<li>'.$preDay.'Rien'.$afterDay.'</li>';
       		else
       		foreach($this->events as $hour => $event){
       			$ret .= '<li>'.$preDay.$hour.$event->display.$afterDay.'</li>';
       		}
       			
       	$ret .= '</ul>';
       	return $ret;
    }
}

$cal = new dayCalendar(2006,2,1);
echo $cal->display(8,20, false);
?>