<?php
include_once(dirname(__FILE__).'/socket.class.php');

/**
 * smtpsocket
 * 
 * parses the received streams as a smtp server
 * sends
 */
class smtpsocket extends socket {
	
    /* EXTENDING SOCKET */
    public function retrieve($key = ''){
    	$response = trim(parent::retrieve());
    	
    	$ret = array('code' => substr($response,0,3),
    			 	 'msg' => rtrim(substr($response,4)));
 	 
 	 	if(array_key_exists($key, $ret))
 	 		return $ret[$key];
		return $ret;
    }
    
    public function sendAndRetrieve($data, $key=''){
    	parent::send($data);
    	return $this->retrieve($key);
    }
}
?>