<?php
if(session_id() == '')
	die();

global $css, $dbh;
$css .= '@import "forms.css";';

$val = (array_key_exists('pass', $_POST) ) ? $_POST['pass'] : '';

echo '<center><h3>Nouveau membre</h3></center>';

/* validators */
$nonNull = new regexValidator('/^(.+)$/','Vous devez entrer quelque chose');
$comparePasswords = new compareValidator($val,'Vos mots de passe ne concordent pas');
$email = new regexValidator('/^(.+)@{1}(.+)\.{1}([A-Za-z]){2,3}$/','Votre courriel n\'est pas valide');

/* form generator */
$inscription= new form('inscript','post',PAGE);
$inscription->userName = new basicElement('text','user','Nom d\'usager : ','','',$nonNull);
$inscription->courriel = new basicElement('text','email','Courriel : ','','',$email);
$inscription->pass = new basicElement('password','pass','Mot de passe : ','','',$nonNull);
$inscription->passConfirm = new basicElement('password','passConfirm', 'Mot de passe (confirmation):','','',$comparePasswords);
$inscription->submit = new basicElement('submit','connect','','Inscrivez-vous');

// if the form was sent and all the fields contain all valid informations
if($inscription->isSent() && $inscription->isValid()){
	$newUser = new user($dbh);
		
	// we add the new user
	if($response = $newUser->add($_POST['user'], $_POST['email'], $_POST['pass']) !== false){
		// this ought to change
		echo 'YUP';
	// if the query has failed, we show it
	} else {
		echo '<div class="formError">Erreur à l\'inscription dans la BD</div>';
		$inscription->show();
	}
}
else{
	// we display the form
	$inscription->show();
}
?>