<!DOCTYPE
 html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
 "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html>
<head>
  <title>{{{TITLE}}}</title>

  <meta http-equiv="content-type" content="text/html; charset=UTF-8" />

  <style type="text/css">
    @import "calendar.css";
    <!-- {{{CSS}}} -->
  </style>

  <style type="text/css">
	html, body{
	  margin: 0;
	  width: 100%;
	  height: 100%;
	  font-family: arial, helvetica, sans-serif;
	  font-size: 85%;
	}

	h1{
	  font-size: 110%;
	  font-weight: bold;	
	}
	h2{
	  font-size: 110%;
	}
	h3{
	  font-size: 100%;
	}
	h4{
	  font-size: 95%;
	}
	h5{
	  font-size: 90%;
	  font-weight: bold;
	  text-decoration: underline;
	  font-weight: bold;
	}
	h6{on v
	  font-size: 90%;
	  font-weight: bold;
	}

    .container{
      text-align: center;
      width: 100%;
      height: 100%;
    }

    .container div{
      width: 100%;
      margin: 0;
      padding: 0;
      text-align: center;
    }

	/** the side borders, align center and width **/
    div.section{
      border-left: 1px solid #000;
      border-right: 1px solid #000;    
      margin-left: auto;
      margin-right: auto;
      width: 700px;
    }

    #topLine{
      border-top: 1px solid #000;
      margin-top: 1em;
      height: 60px;
      background: #3A6BA5;
      text-align: right;
    }

    div#whiteLineLeft{
      width: 200px;
      float: left;
      clear: left;
      text-align: left;
      vertical-align: top;
      /* border: 1px #0f0 solid; */

      margin-right: 2em;
      padding-left: 1em;
      padding-right: 1em;
    }
    
    div#whiteLineRight{
      height: 170px;
      display:inline;	
      /* border: 1px #f0f solid; */
      text-align: left;
      /*overflow: auto;*/
    }

    div#content{
      padding-top: 1em;
      width: 100%px;
      text-align: center;
    }

    #bottomLine{
      border-bottom: 1px solid #000;
      margin-bottom: 1em;
      text-align: center;
      background: #3A6BA5;
    }

    a, a:link, a:visited{
      color: #e6bd10;
      text-decoration: none;
    }

    a:active, a:hover{
      color: #ffffff;
    }
    
    h1,h2,h3,h4,h5,h6{
      margin: 0;
    }
    
    table td{
      text-align: left;	
    }
  </style>
</head>

<body style="background: #3a6ba5;">
  <div class="container">

    <!-- Header -->
    <div>
      <div id="topLine" class="section">
        <span style="float: left;">{{{HEAD}}}</span>
        <a href="">{{{MENU}}}</a>
      </div>
    </div>

    <!-- Middle -->
    <div style="background: #fff; width: 100%">
      <div class="section" style="height: 170px;">
        
          <div id="whiteLineLeft">
            {{{DATE}}}<br />
            {{{CALENDAR}}}
          </div>
          <div id="whiteLineRight">
            {{{HORAIRE}}}
          </div>
                  
      </div>
    </div>

    <!-- Content -->
    <div id="bottomLine" class="section">
      <div id="content">
        {{{CONTENT}}}
      </div>
    </div>
    {{{FOOTER}}}
  </div>
</body>
</html>