<?php

class calendarDay{

	public $day, $style, $href = '', $events = array();

	/**
	 * __construct
	 */
	public function __construct($day=1, $href='', $style=array()){
		$this->day = $day;
		$this->style = $style;
		$this->href = $href;
	}

	/**
	 * display
	 */
	public function display(){
		echo $this->generate();
	}

	/**
	 * generate
	 */
	public function generate(){
		$style = implode(';',$this->style);

		$return = '';

		if($this->href != '')
			$return = '<a href="'.$this->href.'"><span style="'.$style.'">'.$this->day.'.</span></a>';
		else
			$return = '<span style="'.$style.'">'.$this->day.'.</span>';
		
		for($i=0;$i<count($this->events);++$i){
			if($i == 3)
				break;
			if(@array_key_exists($i, $this->events))
				$return .= $this->generateEventLink($this->events[$i]);
		}
		
		return $return;
	}
	
	protected function generateEventLink($event){
		return '<div><a href="index.php?page=showEvent&amp;eventId='.$event->id.'">'.$event->titre.'</a></div>';			
	}
}

?>