<?php
/**
 * compareValidator
 *
 * validate something against a passed value
 */

class compareValidator{

	protected $value, $errorMessage;

    public function __construct($compareAgainst, $errorMessage){
    	$this->value = $compareAgainst;
    	$this->errorMessage = $errorMessage;
    }

    public function validate($stringToValidate, $strict = false){
    	if($strict === false)
    		return ($this->value == $stringToValidate);
    	return ($this->value === $stringToValidate);
    }
    
    public function getErrorMessage(){
    	return $this->errorMessage;	
    }
}
?>
