<?php
/**
 * formElement interface
 */
 
interface formElement{

	public function __construct();

	/**
	 * generates the output
	 */
	public function show();
	
	/**
	 * generates the output when validate() returns false 
	 */
	public function showError();
	
	/**
	 * loads data when the form has been submitted
	 */
	public function load();

	/**
	 * validates the content of the form element
	 */
	public function isValid();
}
?>
