<?php
if(session_id() == '')
	die();

global $css, $dbh;
$css .= '@import "forms.css";';

$nonNull = new regexValidator('/^(.+)$/','Vous devez entrer quelque chose');

$connect = new form('connect','post',PAGE);
$connect->user = new basicElement('text','user','Usager : ','','',$nonNull);
$connect->pass = new basicElement('password','pass','Mot de passe : ','','',$nonNull);
$connect->submit = new basicElement('submit','connect','','Connexion');

// if the form has been sent and all the fields are valid
if($connect->isSent() && $connect->isValid()){
	
	$check = new user($dbh);

	// we check if the user and password correspond
	$response = $check->findByNameAndPassword($_POST['user'], $_POST['pass']);
	if($response !== false){
		// login successful

		$_SESSION['userId'] = $response[0];
		$_SESSION['userName'] = $response[1];
		$_SESSION['userEmail'] = $response[2];
		unset($_SESSION['page']);
		header("Location: index.php");
		echo 'YUP';	// debugging purposes
	} else {
		// login failed
		unset($_SESSION['userId']);
		echo '<div class="formError">Le nom d\'usager et/ou le mot de passe ne sont pas valides</div>';
		$connect->show();
	}
}
else{
	// displaying the form
	$connect->show();
	echo '<a href="index.php?page=inscription">Inscrivez-vous</a>';
}
?>